<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<!-- $Id: requests-by-lang.xml,v 1.5 2002/11/14 21:16:59 flacoste Exp $ -->  
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-user_agent" 
 id="requests-by-lang" charttype="bars">

 <lire:title>Requests By Browser Language WWW Report</lire:title>
 <lire:description>
  <para>This report shows the number of requests for each browser language.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="lang_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of Browsers to display in
     the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $lang_to_show Requests By Browser Language</lire:title>

  <lire:description>
   <para>The <quote>language</quote> is determined from the
    <parameter>User-Agent</parameter> header.  Users can set this variable to
    indicate their preferred language.
   </para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$lang_to_show">
   <lire:field name="lang"/>

   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
